VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Recovery::Backup::Job Class Reference
Inheritance diagram for Com::Vmware::Appliance::Recovery::Backup::Job:

## Classes
class | BackupJobStatus
class | BackupRequest
class | BackupRestoreProcessState
class | LocalizableMessage
class | LocationType
class | ReturnResult
class | ReturnStatus

## Avaliable Methods
public method | create ()
public method | get ()
public method | cancel ()
public method | new ()
public method | list ()

## Detailed Description

`Com::Vmware::Appliance::Recovery::Backup::Job` interface provides methods Performs backup restore operations

## Member Function Documentation

public method Com::Vmware::Appliance::Recovery::Backup::Job::cancel | ( |  | ) |

Cancel the backup job

Parameters

  id | [REQUIRED] ID (ID of job) The value must be an identifier for the resource type getQualifiedName(com.vmware.appliance.recovery.backup.job). . The value must be str.

Return values

  BackupJobStatus | Structure The return type will be Com::Vmware::Appliance::Recovery::Backup::Job::ReturnResult

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | ID is not found
  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in cancel: 10
sub cancel {
my ($self, %args) = @_;
my $id = $args {id};
$self->validate_args (method_name => 'cancel',
method_args => \%args);
return $self->invoke (method_name => 'cancel',
method_args => \%args);
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::create | ( |  | ) |

Initiate backup.

Parameters

  piece | [REQUIRED] BackupRequest Structure . The value must be Com::Vmware::Appliance::Recovery::Backup::Job::BackupRequest.

Return values

  BackupJobStatus | Structure The return type will be Com::Vmware::Appliance::Recovery::Backup::Job::BackupJobStatus

Exceptions

  Com::Vmware::Vapi::Std::Errors::FeatureInUse | A backup or restore is already in progress
  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in create: 10
sub create {
my ($self, %args) = @_;
my $piece = $args {piece};
$self->validate_args (method_name => 'create',
method_args => \%args);
return $self->invoke (method_name => 'create',
method_args => \%args);
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::get | ( |  | ) |

See backup job progress/result.

Parameters

  id | [REQUIRED] ID (ID of job) The value must be an identifier for the resource type getQualifiedName(com.vmware.appliance.recovery.backup.job). . The value must be str.

Return values

  BackupJobStatus | Structure The return type will be Com::Vmware::Appliance::Recovery::Backup::Job::BackupJobStatus

Exceptions

  Com::Vmware::Vapi::Std::Errors::NotFound | ID is not found
  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in get: 10
sub get {
my ($self, %args) = @_;
my $id = $args {id};
$self->validate_args (method_name => 'get',
method_args => \%args);
return $self->invoke (method_name => 'get',
method_args => \%args);
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::list | ( |  | ) |

Get list of backup jobs

Return values

  list | of BackupJob IDs The value will be an identifier for the resource type getQualifiedName(com.vmware.appliance.recovery.backup.job). The return type will be Array of str

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in list: 4
sub list {
my ($self, %args) = @_;
return $self->invoke(method_name => 'list', method_args => {});
}

public method Com::Vmware::Appliance::Recovery::Backup::Job::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Recovery/Backup/Job.pm